{-# LANGUAGE CPP #-}
{-# LANGUAGE NoRebindableSyntax #-}
{-# OPTIONS_GHC -fno-warn-missing-import-lists #-}
module Paths_revisao (
    version,
    getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

#if defined(VERSION_base)

#if MIN_VERSION_base(4,0,0)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#else
catchIO :: IO a -> (Exception.Exception -> IO a) -> IO a
#endif

#else
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
#endif
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, dynlibdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/olivetti/Downloads/testesHaskell/revisao/.stack-work/install/x86_64-linux/51e6ea1c069f23813474d22251cfafdb7e509fd53e2c2ad340b85e9e6fa43063/8.8.4/bin"
libdir     = "/home/olivetti/Downloads/testesHaskell/revisao/.stack-work/install/x86_64-linux/51e6ea1c069f23813474d22251cfafdb7e509fd53e2c2ad340b85e9e6fa43063/8.8.4/lib/x86_64-linux-ghc-8.8.4/revisao-0.1.0.0-KbW6UOYupD4D3FVfKhHRze-revisao"
dynlibdir  = "/home/olivetti/Downloads/testesHaskell/revisao/.stack-work/install/x86_64-linux/51e6ea1c069f23813474d22251cfafdb7e509fd53e2c2ad340b85e9e6fa43063/8.8.4/lib/x86_64-linux-ghc-8.8.4"
datadir    = "/home/olivetti/Downloads/testesHaskell/revisao/.stack-work/install/x86_64-linux/51e6ea1c069f23813474d22251cfafdb7e509fd53e2c2ad340b85e9e6fa43063/8.8.4/share/x86_64-linux-ghc-8.8.4/revisao-0.1.0.0"
libexecdir = "/home/olivetti/Downloads/testesHaskell/revisao/.stack-work/install/x86_64-linux/51e6ea1c069f23813474d22251cfafdb7e509fd53e2c2ad340b85e9e6fa43063/8.8.4/libexec/x86_64-linux-ghc-8.8.4/revisao-0.1.0.0"
sysconfdir = "/home/olivetti/Downloads/testesHaskell/revisao/.stack-work/install/x86_64-linux/51e6ea1c069f23813474d22251cfafdb7e509fd53e2c2ad340b85e9e6fa43063/8.8.4/etc"

getBinDir, getLibDir, getDynLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "revisao_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "revisao_libdir") (\_ -> return libdir)
getDynLibDir = catchIO (getEnv "revisao_dynlibdir") (\_ -> return dynlibdir)
getDataDir = catchIO (getEnv "revisao_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "revisao_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "revisao_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
